> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stats Volume

> Query for turnover time series and 24h/7d/30d/all_time aggregates.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/market/stats/volume
openapi: 3.1.0
info:
  title: ekiden-gateway
  description: >-
    API Gateway and WebSocket proxy based on Axum and Utoipa, handling auth,
    rate limiting, and connection buffering.
  license:
    name: ''
  version: 0.1.1
servers:
  - url: https://api.ekiden.fi/
    description: Production
  - url: https://api.cnt.ekiden.fi/
    description: Testnet
  - url: https://api.canton.ekiden.fi/
    description: Staging
security: []
paths:
  /api/v1/market/stats/volume:
    get:
      tags:
        - Market
      summary: Get Stats Volume
      description: Query for turnover time series and 24h/7d/30d/all_time aggregates.
      operationId: get_stats_volume
      parameters:
        - name: period
          in: query
          required: true
          schema:
            type: string
            description: Stats period. `24h`, `7d`, `30d`, or `all_time`.
            enum:
              - 24h
              - 7d
              - 30d
              - all_time
        - name: symbol
          in: query
          required: false
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/Symbol'
      responses:
        '200':
          description: Turnover series
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStatsVolumeResponse'
        '400':
          description: Bad Request
components:
  schemas:
    Symbol:
      type: string
      example: BTC-USDCx
    GetStatsVolumeResponse:
      type: object
      description: Turnover series response.
      required:
        - period
        - list
        - aggregates
      properties:
        aggregates:
          $ref: '#/components/schemas/StatsVolumeAggregates'
        list:
          type: array
          items:
            $ref: '#/components/schemas/StatsVolumePoint'
        period:
          $ref: '#/components/schemas/StatsPeriod'
    StatsVolumeAggregates:
      type: object
      required:
        - turnover_24h
        - turnover_7d
        - turnover_30d
        - turnover_all_time
      properties:
        turnover_24h:
          type: string
          description: Turnover for 24h
        turnover_30d:
          type: string
          description: Turnover for 30d
        turnover_7d:
          type: string
          description: Turnover for 7d
        turnover_all_time:
          type: string
          description: Turnover for all time
    StatsVolumePoint:
      type: object
      required:
        - timestamp
        - turnover
      properties:
        timestamp:
          type: string
          format: date-time
          example: '1672531200000'
        turnover:
          type: string
          description: Turnover
    StatsPeriod:
      type: string
      description: Stats period. `24h`, `7d`, `30d`, or `all_time`.
      enum:
        - 24h
        - 7d
        - 30d
        - all_time

````